# $Revision: 1.23 $, $Date: 2004/05/06 18:09:29 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Date
%define	pnam	Discordian
Summary:	Date::Discordian - calculate the Discordian date of a particular day
Summary(pl):	Date::Discordian - oblicznie daty diskordiaskiej dla okrelonego dnia
Name:		perl-Date-Discordian
Version:	1.36
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	11aa1fce9f801d7d247542abc5a0fcc3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Date-Leapyear
BuildRequires:	perl-Date-ICal >= 1.54
BuildRequires:	perl-Memoize
BuildRequires:	perl-Test-Simple
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calculate the Discordian date of a particular 'real' date.

Date::Discordian exports two functions - discordian(), and
inverse_discordian. "discordian()", when given a time value, returns a
string, giving the Discordian date for the given day.
- *inverse_discordian()*, given a Discordian date in the same format
  that "discordian()" emits, returns an epoch time value. It is pretty
  picky about time format. Pity.

%description -l pl
Modu perla obliczajcy diskordiask dat dla danej "prawdziwej"
daty.

Date::Discordian udostpnia dwie funkcje - discordian() oraz
inverse_discordian(). discordian() po podaniu wartoci czasu zwraca
stringa zawierajcego dat diskordiask. inverse_discordian() po
podaniu daty w tym samym formacie, jaki produkuje discordian(), zwraca
warto czasu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Date/Discordian.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Discordian.spec,v $
Revision 1.23  2004/05/06 18:09:29  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/25 00:41:38  ankry
- tests added

Revision 1.21  2004/04/19 22:57:17  ankry
- license/description/summary fixes

Revision 1.20  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/06/11 22:46:49  misi3k
- updated to 1.36

Revision 1.17  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.14  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.13  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:31:16  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/07/20 10:18:58  qboosh
- added doc and BRs; release 5

Revision 1.10  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:11:02  depesz
automatic: Source location unfied, Relase Up

Revision 1.5  2002/02/10 15:39:12  depesz
adapterized

Revision 1.4  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/08 09:19:28  qboosh
- added pl description, release 2

Revision 1.2  2002/01/05 16:13:33  kloczek
- release 1: License: Artistic.

Revision 1.1  2002/01/05 08:21:07  agaran
initial
